{
"status": 400,
"code": "wrong_provider",
"message": "Provider 'unknown_provider' does not exist for country 'CI' and method 'mobile_money'.",
"request_id": "<string>"
}
{
"status": 401,
"error": {
"type": "authorization_error",
"code": "wrong_credentials",
"message": "L'ID marchand et/ou la clé d'API sont incorrects."
}
}
{
"status": 503,
"code": "merchant_group_unavailable",
"message": "Your merchant group could not be verified. Please retry in a few moments.",
"request_id": "<string>"
}
Payments
Create a PaymentIntent object
This endpoint is the first entry point of the PAY-IN circuit.
First of all, you must create a payment intent which describes your intention to collect an amount of money in a currency.
Later on, you will perform payments associated with this payment intent.
Please do save the fields returned by this endpoint, especially the field ‘id’ and ‘token’.
That will help you identity the payment intent in our platform whenever you want to retrieve it.
{
"status": 400,
"code": "wrong_provider",
"message": "Provider 'unknown_provider' does not exist for country 'CI' and method 'mobile_money'.",
"request_id": "<string>"
}
{
"status": 401,
"error": {
"type": "authorization_error",
"code": "wrong_credentials",
"message": "L'ID marchand et/ou la clé d'API sont incorrects."
}
}
{
"status": 503,
"code": "merchant_group_unavailable",
"message": "Your merchant group could not be verified. Please retry in a few moments.",
"request_id": "<string>"
}
This is a custom field you can fill with any reference you have on your side matching this payment intent.
It can allow you to make a correspondence with this payment intent in your system.
This field is specifically useful for customer's references, like your customer ID.
This is a custom field you can fill with any reference you have on your side matching this payment intent.
It can allow you to make a correspondence with this payment intent in your system.
This field is specifically useful for purchase's references, like an order your customer made.
Amount intended to be collected by this payment intent.
A positive integer representing how much to charge in the smallest currency unit (e.g., 100 cents to charge €1.00 or 100 to charge FCFA100, a zero-decimal currency).
This field is mandatory for aggregators and allows you to override the business name displayed to the end users.
This is useful if you don't want your clients to see "Hub2" as the target of their payment but your company name instead.
A unique JSON Web Token allowing to attempt a Payment on the PaymentIntent on a client-side application. It expires 30 minutes after the PaymentIntent creation: paying or authenticating with it is then refused with a 401 bad_payment_intent_token error, and reading the PaymentIntent with it (status, details, fees) is refused the same way 15 minutes later.
A reference provided by the client during the creation of this PaymentIntent. It is a reference to the customer for who this PaymentIntent was created.
Amount intended to be collected by this PaymentIntent. A positive integer representing how much to charge in the smallest currency unit (e.g., 100 cents to charge €1.00 or 100 to charge FCFA100, a zero-decimal currency).
Mode in which this PaymentIntent exists.
The sandbox mode can be used during the integration phase and is available as soon as the merchant account is created. No real transactions are made in this mode.
The live mode has to be used to make real transactions.
Action required to execute to continue the processing of the current Payment on this PaymentIntent. The action allows the customer to validate the Payment.
- A redirection action provides all the information to redirect the customer to an external page,
- A ussd action provides a message to display to the user for the validation of the Payment. He will receive a USSD message on his phone describing how to make the validation,
- A otp action requires that you display an input to the customer to collect an OTP. A message is provided to explains to the user how to get this OTP. Then, the client will have to send the authentication request.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"HUB2 Documentation","colors":{"primary":"#0D9373","light":"#07C983","dark":"#0D9373"},"logo":{"light":"https://mintcdn.com/hub2-83/aPkTvmVeXN9HXpuW/assets/logo/hub2.png?fit=max\u0026auto=format\u0026n=aPkTvmVeXN9HXpuW\u0026q=85\u0026s=18f9f70abbe4d6234bad47152927237a","dark":"https://mintcdn.com/hub2-83/aPkTvmVeXN9HXpuW/assets/logo/hub2.png?fit=max\u0026auto=format\u0026n=aPkTvmVeXN9HXpuW\u0026q=85\u0026s=18f9f70abbe4d6234bad47152927237a"},"favicon":"https://mintcdn.com/hub2-83/aPkTvmVeXN9HXpuW/assets/favicon.png?fit=max\u0026auto=format\u0026n=aPkTvmVeXN9HXpuW\u0026q=85\u0026s=d71426a9f8f85b6c6ccce6d36247bf39","api":{"openapi":"https://api.hub2.io/docs-json"},"footer":{"socials":{"linkedin":"https://www.linkedin.com/company/hub2","website":"https://www.hub2.io"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"hub2-83","hasAudioNarration":false,"actualSubdomain":"hub2-83","customDomains":["docs.hub2.io"],"gitSource":{"type":"github","owner":"technohub2","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae16defdd9644647b4200dd","collectionId":"57fb640c-62d6-4c13-a1f8-78fc452635ea","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae16defdd9644647b4200dd"},"entitlements":{},"buildId":"6ae16defdd9644647b4200dd","clientVersion":"0.0.4054","searchFilterCounts":[{"language":"default","tag":"Référence de l'API","count":86},{"language":"default","tag":"Integration","count":44},{"language":"default","tag":"Intégration","count":44},{"language":"default","tag":"Payments","count":18},{"language":"default","tag":"Webhooks","count":17},{"language":"default","tag":"Documentation","count":16},{"language":"default","tag":"Transfers","count":11},{"language":"default","tag":"Compliance","count":10},{"language":"default","tag":"Payment Links","count":10},{"language":"default","tag":"Processing Only","count":10}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"assets/style.css","content":"table{display:table!important}.table-scroll{overflow:scroll}table tbody tr:nth-child(odd){background:#fafafa}html.dark table tbody tr:nth-child(odd){background:#1a1a1a}"}],"page":{"pagePath":"api-reference/payments/create-a-paymentintent-object","slug":"/api-reference/payments/create-a-paymentintent-object","pageMetadata":{"openapi":"post /payment-intents","title":"Create a PaymentIntent object","description":"This endpoint is the first entry point of the PAY-IN circuit.\n First of all, you must create a payment intent which describes your intention to collect an amount of money in a currency.\n Later on, you will perform payments associated with this payment intent.\n Please do save the fields returned by this endpoint, especially the field 'id' and 'token'.\n That will help you identity the payment intent in our platform whenever you want to retrieve it.","href":"/api-reference/payments/create-a-paymentintent-object"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"This endpoint is the first entry point of the PAY-IN circuit.\\nFirst of all, you must create a payment intent which describes your intention to collect an amount of money in a currency.\\nLater on, you will perform payments associated with this payment intent.\\nPlease do save the fields returned by this endpoint, especially the field ‘id’ and ‘token’.\\nThat will help you identity the payment intent in our platform whenever you want to retrieve it.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"post /payment-intents","title":"Create a PaymentIntent object","description":"This endpoint is the first entry point of the PAY-IN circuit.\n First of all, you must create a payment intent which describes your intention to collect an amount of money in a currency.\n Later on, you will perform payments associated with this payment intent.\n Please do save the fields returned by this endpoint, especially the field 'id' and 'token'.\n That will help you identity the payment intent in our platform whenever you want to retrieve it.","href":"/api-reference/payments/create-a-paymentintent-object"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/hub2-83/0ef60d836fa10d10/assets/mermaid.js"],"openApiReferenceData":{"operation":{"description":"This endpoint is the first entry point of the PAY-IN circuit.\n First of all, you must create a payment intent which describes your intention to collect an amount of money in a currency.\n Later on, you will perform payments associated with this payment intent.\n Please do save the fields returned by this endpoint, especially the field 'id' and 'token'.\n That will help you identity the payment intent in our platform whenever you want to retrieve it.","operationId":"PaymentIntentsController_createPayment","parameters":["0146e315-7c5b-4056-b6fd-70af1ab4f023","3493e049-5afc-4f16-8f76-82966d1788dc","b94ec6c8-f266-4d0b-b08d-3d54549b415e"],"requestBody":"efc4974d-26ad-4be7-9953-18d5d3c4a556","responses":{"201":"cc4f1c79-73a0-442d-b2cc-f342f72443b9","400":"139b411c-6cfc-4f9d-8088-44914b6e8619","401":"a4309194-4ddd-4754-ac82-e89b397d6a2f","403":"7bcdc173-bf93-4a33-8bd0-61c6b7c3ac3e","429":"b790ab1f-d52d-4e59-8df3-efd2f5010234","500":"1a9f20c5-0ad6-402d-930b-2f4a20193d6a","503":"863ef951-2c42-4c9c-ac65-f6000ee378a7"},"summary":"Create a PaymentIntent object","tags":["Payments"],"method":"post","type":"path","servers":[],"security":[],"path":"/payment-intents","baseUrlOptions":[],"title":"Create a PaymentIntent object","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"0146e315-7c5b-4056-b6fd-70af1ab4f023":{"name":"ApiKey","in":"header","description":"Your api key. To create a key, please get into our dashboard. If you don't have access to it, please reach the Support team.","required":true,"schema":{"type":"string","isRequired":true,"description":"Your api key. To create a key, please get into our dashboard. If you don't have access to it, please reach the Support team.","uniqueKey":"","typeLabel":"string"}},"3493e049-5afc-4f16-8f76-82966d1788dc":{"name":"MerchantId","in":"header","description":"Your merchant ID. This information is available in our dashboard. If you don't have access to it, please reach the Support team.","required":true,"schema":{"type":"string","isRequired":true,"description":"Your merchant ID. This information is available in our dashboard. If you don't have access to it, please reach the Support team.","uniqueKey":"","typeLabel":"string"}},"b94ec6c8-f266-4d0b-b08d-3d54549b415e":{"name":"Environment","in":"header","description":"Allow you to choose between the sandbox mode to perform some tests or the live mode for real world transactions.","required":true,"schema":{"type":"string","enum":["live","sandbox"],"isRequired":true,"description":"Allow you to choose between the sandbox mode to perform some tests or the live mode for real world transactions.","uniqueKey":"","typeLabel":"enum\u003cstring>"}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"customerReference":{"type":"string","description":"This is a custom field you can fill with any reference you have on your side matching this payment intent.\n It can allow you to make a correspondence with this payment intent in your system.\n This field is specifically useful for customer's references, like your customer ID.","example":"cust_01924059","isRequired":true,"uniqueKey":"customerReference","typeLabel":"string"},"purchaseReference":{"type":"string","description":"This is a custom field you can fill with any reference you have on your side matching this payment intent.\n It can allow you to make a correspondence with this payment intent in your system.\n This field is specifically useful for purchase's references, like an order your customer made.","example":"ref_2020_11_10_001","isRequired":true,"uniqueKey":"purchaseReference","typeLabel":"string"},"amount":{"type":"number","description":"Amount intended to be collected by this payment intent.\n A positive integer representing how much to charge in the smallest currency unit (e.g., 100 cents to charge €1.00 or 100 to charge FCFA100, a zero-decimal currency).","example":100,"isRequired":true,"uniqueKey":"amount","typeLabel":"number"},"currency":{"type":"string","description":"Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html).","example":"XOF","isRequired":true,"uniqueKey":"currency","typeLabel":"string"},"overrideBusinessName":{"type":"string","description":"This field is mandatory for aggregators and allows you to override the business name displayed to the end users.\n This is useful if you don't want your clients to see \"Hub2\" as the target of their payment but your company name instead.","example":"My wonderful business","uniqueKey":"overrideBusinessName","typeLabel":"string"}},"required":["customerReference","purchaseReference","amount","currency"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"customerReference":"cust_01924059","purchaseReference":"ref_2020_11_10_001","amount":100,"currency":"XOF","overrideBusinessName":"My wonderful business"}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"cc4f1c79-73a0-442d-b2cc-f342f72443b9":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier for the PaymentIntent","example":"pi_z1urYtVFgEebtcj8fxp4v","isRequired":true,"uniqueKey":"id","typeLabel":"string"},"merchantId":{"type":"string","description":"Identifier of the merchant owning this PaymentIntent","isRequired":true,"uniqueKey":"merchantId","typeLabel":"string"},"createdAt":{"type":"string","description":"Datetime in UTC timezone at which this object was created.\n Follows the [Datetime ISO](https://en.wikipedia.org/wiki/ISO_8601).","example":"2020-10-15T12:09:49.355Z","isRequired":true,"uniqueKey":"createdAt","typeLabel":"string"},"updatedAt":{"type":"string","description":"Datetime in UTC timezone at which this object was updated for the last time .\n Follows the [Datetime ISO](https://en.wikipedia.org/wiki/ISO_8601).","example":"2020-10-15T12:16:26.128Z","isRequired":true,"uniqueKey":"updatedAt","typeLabel":"string"},"token":{"type":"string","description":"A unique [JSON Web Token](https://en.wikipedia.org/wiki/JSON_Web_Token) allowing to attempt a Payment on the PaymentIntent on a client-side application. It expires 30 minutes after the PaymentIntent creation: paying or authenticating with it is then refused with a 401 `bad_payment_intent_token` error, and reading the PaymentIntent with it (status, details, fees) is refused the same way 15 minutes later.","example":"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJtZXJjaGFudElkIjoiMTYiLCJtb2RlIjoic2FuZGJveCIsInBheW1lbnRJZCI6InBpX3oxdXJZdFZGZ0VlYnRjajhmeHA0diIsImlhdCI6MTYwMjc1OTE4M30.OZ0fDnMVWvcT-gRthyBD58PFC20gabGKt1UPRe4aNi4","isRequired":true,"uniqueKey":"token","typeLabel":"string"},"purchaseReference":{"type":"string","description":"A reference provided by the client during the creation of this PaymentIntent","example":"ref_2020_11_10_001","isRequired":true,"uniqueKey":"purchaseReference","typeLabel":"string"},"customerReference":{"type":"string","description":"A reference provided by the client during the creation of this PaymentIntent. It is a reference to the customer for who this PaymentIntent was created.","example":"cust_01924059","isRequired":true,"uniqueKey":"customerReference","typeLabel":"string"},"status":{"type":"string","description":"The current status of this PaymentIntent","example":"successful","enum":["action_required","canceled","failed","payment_required","processing","successful"],"isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"amount":{"type":"number","description":"Amount intended to be collected by this PaymentIntent. A positive integer representing how much to charge in the smallest currency unit (e.g., 100 cents to charge €1.00 or 100 to charge FCFA100, a zero-decimal currency).","example":100,"isRequired":true,"uniqueKey":"amount","typeLabel":"number"},"currency":{"type":"string","description":"Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html).","example":"XOF","isRequired":true,"uniqueKey":"currency","typeLabel":"string"},"payments":{"type":"any","isRequired":true,"uniqueKey":"payments","typeLabel":"any"},"mode":{"type":"string","description":"Mode in which this PaymentIntent exists.\n The sandbox mode can be used during the integration phase and is available as soon as the merchant account is created. No real transactions are made in this mode.\n The live mode has to be used to make real transactions.","example":"live","enum":["live","sandbox"],"isRequired":true,"uniqueKey":"mode","typeLabel":"enum\u003cstring>"},"nextAction":{"type":"object","title":"NextAction","description":"Action required to execute to continue the processing of the current Payment on this PaymentIntent. The action allows the customer to validate the Payment.\n - A redirection action provides all the information to redirect the customer to an external page,\n - A ussd action provides a message to display to the user for the validation of the Payment. He will receive a USSD message on his phone describing how to make the validation,\n - A otp action requires that you display an input to the customer to collect an OTP. A message is provided to explains to the user how to get this OTP. Then, the client will have to send the authentication request.\n ","required":["type","message"],"properties":{"type":{"type":"string","enum":["ussd","otp","redirection"],"isRequired":true,"uniqueKey":"nextAction.type","typeLabel":"enum\u003cstring>"},"message":{"type":"string","isRequired":true,"uniqueKey":"nextAction.message","typeLabel":"string"},"data":{"type":"object","description":"","required":["url","urls","method"],"properties":{"url":{"type":"string","description":"A fully qualified URL where the customer must be redirected to pursue the payment.","isRequired":true,"uniqueKey":"nextAction.data.url","typeLabel":"string"},"urls":{"type":"string","description":"An array of fully qualified URLs where the customer must be redirected to pursue the payment.","isRequired":true,"uniqueKey":"nextAction.data.urls","typeLabel":"string"},"method":{"type":"string","description":"HTTP verb to be used to redirect the customer.","example":"post","isRequired":true,"uniqueKey":"nextAction.data.method","typeLabel":"string"},"headers":{"type":"object","description":"","uniqueKey":"nextAction.data.headers","typeLabel":"object"},"data":{"type":"object","description":"Data that need to be used to make the redirection. It could be parameters for a GET request or a body payload for a POST.","uniqueKey":"nextAction.data.data","typeLabel":"object"}},"uniqueKey":"nextAction.data","typeLabel":"object"}},"uniqueKey":"nextAction","typeLabel":"NextAction · object"},"lastPaymentFailure":{"type":"object","title":"PaymentFailureCause","description":"In case of a Payment attempt failure, this object will describe the reason of the failure","required":["code","message"],"properties":{"code":{"type":"string","description":"Unique code representing the failure cause for the payment.","enum":["internal_error","service_unavailable","unknown_reason","customer_account_locked","customer_insufficient_funds","authentication_failed","authentication_timeout","issuer_authentication_unavailable","timeout","bad_parameters","forbidden_by_provider","too_many_request","duplicate_request","consent_reference_in_use","canceled_by_customer","canceled","fraud_suspicion","unsupported_currency","payer_quota_exceeded","invalid_payment_processor","invalid_amount","recipient_unavailable","msisdn_invalid","card_expired","card_declined","card_stolen","card_refused","card_invalid","card_cvn_invalid","address_verification_failed","payment_limit_reached","reconciliation_failure"],"isRequired":true,"uniqueKey":"lastPaymentFailure.code","typeLabel":"enum\u003cstring>"},"message":{"type":"string","description":"Human readable message explaining the failure cause. This message can be displayed to the customer.","isRequired":true,"uniqueKey":"lastPaymentFailure.message","typeLabel":"string"},"params":{"description":"List of parameters causing the payment failure in case of invalid parameters","type":"array","items":{"type":"string","uniqueKey":"lastPaymentFailure.params.items.[INDEX]","typeLabel":"string"},"uniqueKey":"lastPaymentFailure.params","typeLabel":"string[]"}},"uniqueKey":"lastPaymentFailure","typeLabel":"PaymentFailureCause · object"},"overrideBusinessName":{"type":"string","description":"For Aggregator, name of the merchant","example":"MyBusiness","uniqueKey":"overrideBusinessName","typeLabel":"string"},"subMerchantId":{"type":"string","description":"Submerchant ID","example":"submerchant_123","uniqueKey":"subMerchantId","typeLabel":"string"}},"required":["id","merchantId","createdAt","updatedAt","token","purchaseReference","customerReference","status","amount","currency","payments","mode"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"id":"pi_z1urYtVFgEebtcj8fxp4v","merchantId":"\u003cstring>","createdAt":"2020-10-15T12:09:49.355Z","updatedAt":"2020-10-15T12:16:26.128Z","token":"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJtZXJjaGFudElkIjoiMTYiLCJtb2RlIjoic2FuZGJveCIsInBheW1lbnRJZCI6InBpX3oxdXJZdFZGZ0VlYnRjajhmeHA0diIsImlhdCI6MTYwMjc1OTE4M30.OZ0fDnMVWvcT-gRthyBD58PFC20gabGKt1UPRe4aNi4","purchaseReference":"ref_2020_11_10_001","customerReference":"cust_01924059","status":"successful","amount":100,"currency":"XOF","payments":"\u003cunknown>","mode":"live","nextAction":{"type":"ussd","message":"\u003cstring>","data":{"url":"\u003cstring>","urls":"\u003cstring>","method":"post","headers":{},"data":{}}},"lastPaymentFailure":{"code":"internal_error","message":"\u003cstring>","params":["\u003cstring>"]},"overrideBusinessName":"MyBusiness","subMerchantId":"submerchant_123"}}},"exampleType":"generated"}},"exampleType":"generated"},"139b411c-6cfc-4f9d-8088-44914b6e8619":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"number","description":"HTTP status.","enum":[400],"example":400,"isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cnumber>"},"code":{"type":"string","description":"The error code, e.g. `wrong_provider`, `provider_required`, `provider_not_allowed`, `invalid_url`, `invalid_sandbox_msisdn`, `credit_card_fees_not_supported`, `credit_card_provider_not_configured`, `credit_card_provider_unavailable`, `payment_method_not_supported`, `override_business_id`, `override_business_name`, `signature_error`, `merchant_not_found`, `forbidden_special_chars`, `ci.mtn.description_too_big`, `reference_required`. `Bad Request` for DTO validation failures and other uncoded 400s.","example":"wrong_provider","isRequired":true,"uniqueKey":"code","typeLabel":"string"},"message":{"oneOf":[{"type":"string","description":"What is wrong with the request. An array of messages when the payload fails DTO validation.","example":"Provider 'unknown_provider' does not exist for country 'CI' and method 'mobile_money'.","isRequired":true,"uniqueKey":"message.oneOf.0","typeLabel":"string"},{"type":"array","items":{"type":"string","uniqueKey":"message.oneOf.1.items.[INDEX]","typeLabel":"string"},"description":"What is wrong with the request. An array of messages when the payload fails DTO validation.","example":"Provider 'unknown_provider' does not exist for country 'CI' and method 'mobile_money'.","isRequired":true,"uniqueKey":"message.oneOf.1","typeLabel":"string[]"}],"isRequired":true,"uniqueKey":"message","typeLabel":"string | string[]"},"request_id":{"type":"string","description":"Identifier of the request, to quote when contacting the Support team.","isRequired":true,"uniqueKey":"request_id","typeLabel":"string"}},"required":["status","code","message","request_id"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"status":400,"code":"wrong_provider","message":"Provider 'unknown_provider' does not exist for country 'CI' and method 'mobile_money'.","request_id":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"a4309194-4ddd-4754-ac82-e89b397d6a2f":{"description":"Wrong credentials","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"number","description":"HTTP error code.","example":401,"isRequired":true,"uniqueKey":"status","typeLabel":"number"},"error":{"type":"object","description":"HTTP error description.","required":["type","code","message"],"properties":{"type":{"type":"string","description":"The type of this error.","example":"authorization_error","isRequired":true,"uniqueKey":"error.type","typeLabel":"string"},"code":{"type":"string","description":"The internal error code describing what happened.","enum":["bad_payment_intent_token","wrong_credentials"],"example":"wrong_credentials","isRequired":true,"uniqueKey":"error.code","typeLabel":"enum\u003cstring>"},"message":{"type":"string","description":"Detailed error message which describe what happened.","example":"L'ID marchand et/ou la clé d'API sont incorrects.","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"}},"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["status","error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"status":401,"error":{"type":"authorization_error","code":"wrong_credentials","message":"L'ID marchand et/ou la clé d'API sont incorrects."}}}},"exampleType":"generated"}},"exampleType":"generated"},"7bcdc173-bf93-4a33-8bd0-61c6b7c3ac3e":{"description":"Forbidden","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"number","description":"status","enum":[403],"example":403,"isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cnumber>"},"error":{"type":"object","description":"Error object","required":["statusCode","message","error"],"properties":{"statusCode":{"type":"number","description":"Http status","enum":[403],"example":403,"isRequired":true,"uniqueKey":"error.statusCode","typeLabel":"enum\u003cnumber>"},"message":{"type":"string","description":"Detailed error message","example":"Forbidden","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"error":{"type":"string","description":"Error name","isRequired":true,"uniqueKey":"error.error","typeLabel":"string"}},"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["status","error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"status":403,"error":{"statusCode":403,"message":"Forbidden","error":"\u003cstring>"}}}},"exampleType":"generated"}},"exampleType":"generated"},"b790ab1f-d52d-4e59-8df3-efd2f5010234":{"description":"ThrottlerException: Too Many Requests","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"number","description":"status","enum":[429],"example":429,"isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cnumber>"},"error":{"type":"string","description":"Error","example":"ThrottlerException: Too Many Requests","isRequired":true,"uniqueKey":"error","typeLabel":"string"}},"required":["status","error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"status":429,"error":"ThrottlerException: Too Many Requests"}}},"exampleType":"generated"}},"exampleType":"generated"},"1a9f20c5-0ad6-402d-930b-2f4a20193d6a":{"description":"Internal error","content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string","description":"The type of this error.","example":"internal_error","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","description":"The error code for this error.","example":["internal_error","wrong_credentials","not_granted","live_mode_not_granted"],"isRequired":true,"uniqueKey":"code","typeLabel":"string"},"message":{"type":"string","description":"The error message describing what happens to throw this error.","example":"An error occurred on our system. Please try again later.","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"required":["type","code","message"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"type":"internal_error","code":["internal_error","wrong_credentials","not_granted","live_mode_not_granted"],"message":"An error occurred on our system. Please try again later."}}},"exampleType":"generated"}},"exampleType":"generated"},"863ef951-2c42-4c9c-ac65-f6000ee378a7":{"description":"Service unavailable","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"number","description":"HTTP status.","enum":[502,503],"example":503,"isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cnumber>"},"code":{"type":"string","description":"The error code. 503: `instant_payment_alias_rail_unavailable`, `merchant_group_unavailable` (the merchant group of the caller could not be verified, so money movement is refused). 502: `instant_payment_alias_not_recorded`, `instant_payment_alias_deletion_not_recorded`, `instant_payment_alias_divergence`.","example":"merchant_group_unavailable","isRequired":true,"uniqueKey":"code","typeLabel":"string"},"message":{"type":"string","description":"What went wrong, and whether the call is safe to retry.","example":"Your merchant group could not be verified. Please retry in a few moments.","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"request_id":{"type":"string","description":"Identifier of the request, to quote when contacting the Support team.","isRequired":true,"uniqueKey":"request_id","typeLabel":"string"}},"required":["status","code","message","request_id"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"status":503,"code":"merchant_group_unavailable","message":"Your merchant group could not be verified. Please retry in a few moments.","request_id":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{},"servers":{}},"originalFileLocation":"https://api.hub2.io/docs-json"},"subdomain":"hub2-83","siteName":"HUB2 Documentation","title":"Create a PaymentIntent object - HUB2 Documentation","navMaps":{"firstHrefInVersion":{"English":{"href":"/api-reference/payments/create-a-paymentintent-object","matchLevel":0},"Français":{"href":"/api-reference/payments/create-a-paymentintent-object","matchLevel":0}},"firstHrefInLanguage":{}},"lastModified":"2025-08-08T09:14:38.738Z","originalFileLocation":"api-reference/payments/create-a-paymentintent-object.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"This endpoint is the first entry point of the PAY-IN circuit. First of all, you must create a payment intent which describes your intention to collect an amount of money in a currency. Later on, you will perform payments associated with this payment intent. Please do save the fields returned by this endpoint, especially the field \u0026#x27;id\u0026#x27; and \u0026#x27;token\u0026#x27;. That will help you identity the payment intent in our platform whenever you want to retrieve it.\">\u003cmeta data-mint-head name=\"application-name\" content=\"HUB2 Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/hub2-83/2cSAgZof76cJIDy-/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/hub2-83/2cSAgZof76cJIDy-/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/hub2-83/2cSAgZof76cJIDy-/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/hub2-83/2cSAgZof76cJIDy-/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/hub2-83/2cSAgZof76cJIDy-/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/hub2-83/2cSAgZof76cJIDy-/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/hub2-83/2cSAgZof76cJIDy-/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/hub2-83/2cSAgZof76cJIDy-/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/hub2-83/2cSAgZof76cJIDy-/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create a PaymentIntent object - HUB2 Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"This endpoint is the first entry point of the PAY-IN circuit. First of all, you must create a payment intent which describes your intention to collect an amount of money in a currency. Later on, you will perform payments associated with this payment intent. Please do save the fields returned by this endpoint, especially the field \u0026#x27;id\u0026#x27; and \u0026#x27;token\u0026#x27;. That will help you identity the payment intent in our platform whenever you want to retrieve it.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"HUB2 Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.hub2.io/api-reference/payments/create-a-paymentintent-object\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://hub2-83.mintlify.app/_mintlify/api/og/v2?division=Payments\u0026amp;title=Create+a+PaymentIntent+object\u0026amp;description=This+endpoint+is+the+first+entry+point+of+the+PAY-IN+circuit.%0A++++First+of+all%2C+you+must+create+a+payment+intent+which+describes+your+intention+to+collect+an+am\u0026amp;theme=92cb3d561e9d2318e8ed5cd1\u0026amp;signature=a6872f7a100be0f8d1be065038955f5170d0aebebc597cee1cd50979e3244307\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create a PaymentIntent object - HUB2 Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"This endpoint is the first entry point of the PAY-IN circuit. First of all, you must create a payment intent which describes your intention to collect an amount of money in a currency. Later on, you will perform payments associated with this payment intent. Please do save the fields returned by this endpoint, especially the field \u0026#x27;id\u0026#x27; and \u0026#x27;token\u0026#x27;. That will help you identity the payment intent in our platform whenever you want to retrieve it.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://hub2-83.mintlify.app/_mintlify/api/og/v2?division=Payments\u0026amp;title=Create+a+PaymentIntent+object\u0026amp;description=This+endpoint+is+the+first+entry+point+of+the+PAY-IN+circuit.%0A++++First+of+all%2C+you+must+create+a+payment+intent+which+describes+your+intention+to+collect+an+am\u0026amp;theme=92cb3d561e9d2318e8ed5cd1\u0026amp;signature=a6872f7a100be0f8d1be065038955f5170d0aebebc597cee1cd50979e3244307\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/hub2-83/2cSAgZof76cJIDy-/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"HUB2 Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#0D9373\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.hub2.io/api-reference/payments/create-a-paymentintent-object\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/payments/create-a-paymentintent-object.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.hub2.io/#organization\",\"name\":\"HUB2 Documentation\",\"url\":\"https://docs.hub2.io\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/hub2-83/aPkTvmVeXN9HXpuW/assets/logo/hub2.png?fit=max\u0026auto=format\u0026n=aPkTvmVeXN9HXpuW\u0026q=85\u0026s=18f9f70abbe4d6234bad47152927237a\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.hub2.io#website\",\"name\":\"HUB2 Documentation\",\"url\":\"https://docs.hub2.io\",\"publisher\":{\"@id\":\"https://docs.hub2.io/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.hub2.io/api-reference/payments/create-a-paymentintent-object#webpage\",\"url\":\"https://docs.hub2.io/api-reference/payments/create-a-paymentintent-object\",\"name\":\"Create a PaymentIntent object\",\"description\":\"This endpoint is the first entry point of the PAY-IN circuit. First of all, you must create a payment intent which describes your intention to collect an amount of money in a currency. Later on, you will perform payments associated with this payment intent. Please do save the fields returned by this endpoint, especially the field 'id' and 'token'. That will help you identity the payment intent in our platform whenever you want to retrieve it.\",\"dateModified\":\"2025-08-08T09:14:38.738Z\",\"isPartOf\":{\"@id\":\"https://docs.hub2.io#website\"},\"breadcrumb\":{\"@id\":\"https://docs.hub2.io/api-reference/payments/create-a-paymentintent-object#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.hub2.io/api-reference/payments/create-a-paymentintent-object#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Payments\",\"item\":\"https://docs.hub2.io/api-reference/payments/retrieve-a-paymentintent-collection\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Create a PaymentIntent object\",\"item\":\"https://docs.hub2.io/api-reference/payments/create-a-paymentintent-object\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.hub2.io/api-reference/payments/create-a-paymentintent-object#apireference\",\"headline\":\"Create a PaymentIntent object\",\"name\":\"Create a PaymentIntent object\",\"description\":\"This endpoint is the first entry point of the PAY-IN circuit. First of all, you must create a payment intent which describes your intention to collect an amount of money in a currency. Later on, you will perform payments associated with this payment intent. Please do save the fields returned by this endpoint, especially the field 'id' and 'token'. That will help you identity the payment intent in our platform whenever you want to retrieve it.\",\"url\":\"https://docs.hub2.io/api-reference/payments/create-a-paymentintent-object\",\"mainEntityOfPage\":{\"@id\":\"https://docs.hub2.io/api-reference/payments/create-a-paymentintent-object#webpage\"},\"dateModified\":\"2025-08-08T09:14:38.738Z\",\"publisher\":{\"@id\":\"https://docs.hub2.io/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.hub2.io#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"HUB2 Documentation\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"HUB2 Documentation","nav":{"global":null,"versions":[{"version":"English","tabs":[{"tab":"HUB2"},{"tab":"Integration","pages":[{"title":"Integration","href":"/integration/en/getting_started/introduction"}]},{"tab":"Documentation","pages":[{"title":"Documentation","href":"/documentation/en/glossary"}]},{"tab":"API Reference","groups":[{"group":"Data","pages":[{"openapi":"get /data/countries","title":"Get countries","href":"/api-reference/data/get-countries"},{"openapi":"get /data/providers","title":"Get providers","href":"/api-reference/data/get-providers"},{"openapi":"get /data/bank-codes","title":"Get bank codes","href":"/api-reference/data/get-bank-codes"}]},{"group":"Balance","pages":[{"openapi":"get /balance","title":"Check Merchant Balance","href":"/api-reference/balance/check-merchant-balance"}]},{"group":"Webhooks","pages":[{"openapi":"get /webhooks","title":"Get all webhooks","href":"/api-reference/webhooks/get-all-webhooks"},{"openapi":"post /webhooks","title":"Create a webhook","href":"/api-reference/webhooks/create-a-webhook"},{"openapi":"get /webhooks/{id}","title":"Get a webhook","href":"/api-reference/webhooks/get-a-webhook"},{"openapi":"delete /webhooks/{id}","title":"Remove a webhook","href":"/api-reference/webhooks/remove-a-webhook"},{"openapi":"patch /webhooks/{id}","title":"Update a webhook","href":"/api-reference/webhooks/update-a-webhook"}]},{"group":"Sms","pages":[{"openapi":"get /sms/count","title":"Retrieve number of sms sent","href":"/api-reference/sms/retrieve-number-of-sms-sent"},{"openapi":"get /sms/list","title":"Get a list of sms sent","href":"/api-reference/sms/get-a-list-of-sms-sent"},{"openapi":"post /sms","title":"Send Sms","href":"/api-reference/sms/send-sms"}]},{"group":"Payments","pages":[{"openapi":"get /payment-intents","title":"Retrieve a PaymentIntent collection","description":"This endpoints is here to provide you an efficient way of retrieving multiple payment intents at the same time.\n Everything is provided in the request's headers to perform a proper pagination on the results.","href":"/api-reference/payments/retrieve-a-paymentintent-collection"},{"openapi":"post /payment-intents","title":"Create a PaymentIntent object","href":"/api-reference/payments/create-a-paymentintent-object"},{"openapi":"get /payment-intents/{id}","title":"Retrieve a PaymentIntent object","description":"This endpoint allows you to fetch an existing payment intent from our database.\n You must either provide the \"id\" or the \"token\" for us to find that payment intent.\n Retrieving using the \"token\" is the fastest way and uses a more permissive rate limit (10 requests per 5 seconds).","href":"/api-reference/payments/retrieve-a-paymentintent-object"},{"openapi":"post /payment-intents/{id}/payments","title":"Attempt a payment on a PaymentIntent object","href":"/api-reference/payments/attempt-a-payment-on-a-paymentintent-object"},{"openapi":"post /payment-intents/{id}/payments/sync","title":"Synchronously attempt a payment on a payment intent","href":"/api-reference/payments/synchronously-attempt-a-payment-on-a-payment-intent"},{"openapi":"post /payment-intents/{id}/authentication","title":"Authenticate the current payment","href":"/api-reference/payments/authenticate-the-current-payment"},{"openapi":"get /payment-intents/{id}/payment-fees","title":"Retrieve fees","href":"/api-reference/payments/retrieve-fees"},{"openapi":"get /payment-intents/url/{token}","title":"Retrieve configured URLs","href":"/api-reference/payments/retrieve-configured-urls"},{"openapi":"get /payment-intents/{id}/status","title":"Retrieve a PaymentIntent status","href":"/api-reference/payments/retrieve-a-paymentintent-status"},{"openapi":"get /payments","title":"Retrieve a Payments collection","href":"/api-reference/payments/retrieve-a-payments-collection"},{"openapi":"get /payments/{id}/status","title":"Retrieve the status payment object","href":"/api-reference/payments/retrieve-the-status-payment-object"}]},{"group":"Provisioning","pages":[{"openapi":"get /provisionings","title":"Retrieve a Provisionings collection","href":"/api-reference/provisioning/retrieve-a-provisionings-collection"},{"openapi":"post /provisionings","title":"Create a Provisioning","href":"/api-reference/provisioning/create-a-provisioning"},{"openapi":"get /provisionings/{id}","title":"Retrieve a Provisioning from given id","href":"/api-reference/provisioning/retrieve-a-provisioning-from-given-id"}]},{"group":"Receipt","pages":[{"openapi":"get /receipts/{id}","title":"Retrieve a Receipt","href":"/api-reference/receipt/retrieve-a-receipt"},{"openapi":"get /receipts/html/{id}","title":"Retrieve a Receipt as an HTML representation","href":"/api-reference/receipt/retrieve-a-receipt-as-an-html-representation"}]},{"group":"Payment on Terminal","pages":[{"openapi":"post /terminal/payments","title":"Execute payment","href":"/api-reference/payment-on-terminal/execute-payment"},{"openapi":"get /terminal/payments/{id}","title":"Retrieve a payment","href":"/api-reference/payment-on-terminal/retrieve-a-payment"}]},{"group":"IRT","pages":[{"openapi":"get /irt/transfer","title":"Retrieve a IRT transfers collection","href":"/api-reference/irt/retrieve-a-irt-transfers-collection"},{"openapi":"post /irt/transfer","title":"Create IRT transfer","href":"/api-reference/irt/create-irt-transfer"},{"openapi":"post /irt/transfer/verified-recipient","title":"Create an IRT transfer to a verified recipient","href":"/api-reference/irt/create-irt-transfer-verified-recipient"}]},{"group":"Transfers","pages":[{"openapi":"get /transfers","title":"Retrieve a Transfer collection","href":"/api-reference/transfers/retrieve-a-transfer-collection"},{"openapi":"post /transfers","title":"Create Transfer","href":"/api-reference/transfers/create-transfer"},{"openapi":"get /transfers/{id}","title":"Retrieve a Transfer","href":"/api-reference/transfers/retrieve-a-transfer"},{"openapi":"get /transfers/{id}/balance","title":"Retrieve a transfer's balance","href":"/api-reference/transfers/retrieve-a-transfers-balance"},{"openapi":"get /transfers/{id}/status","title":"Retrieve a transfer's status","href":"/api-reference/transfers/retrieve-a-transfers-status"},{"openapi":"post /transfers/status","title":"Retrieve the status of several transfers","href":"/api-reference/transfers/retrieve-transfers-status"}]},{"group":"Refunds","pages":[{"title":"Retrieve refunds collection","api":"GET https://api.hub2.io/refunds","href":"/api-reference/refunds/retrieve-refunds-collection"},{"openapi":"post /refunds/refund","title":"Create Refund","href":"/api-reference/refunds/create-refund"},{"title":"Retrieve a refund","api":"GET https://api.hub2.io/refunds/{id}","href":"/api-reference/refunds/retrieve-a-refund"}]},{"group":"Payment Refunds","pages":[{"openapi":"post /payments-refund/{id}/refund","title":"Create Refund for a Payment","href":"/api-reference/payments-refunds/create-refund-for-a-payment"},{"openapi":"get /payments-refund/{refundId}/status","title":"Get the status of a Payment Refund","href":"/api-reference/payments-refunds/get-the-status-of-a-payment-refund"}]},{"group":"Deposits","pages":[{"openapi":"get /deposits","title":"List deposits","href":"/api-reference/deposits/list-deposits"},{"openapi":"post /deposits","title":"Create a deposit","href":"/api-reference/deposits/create-a-deposit"},{"openapi":"get /deposits/{id}","title":"Get a deposit","href":"/api-reference/deposits/get-a-deposit"},{"openapi":"get /deposits/proof-upload-uri","title":"Get a proof upload URL","href":"/api-reference/deposits/get-a-proof-upload-url"},{"openapi":"post /deposits/{id}/proof","title":"Submit a proof","href":"/api-reference/deposits/submit-a-proof"},{"openapi":"get /deposits/{id}/proof","title":"Get deposit proof image","href":"/api-reference/deposits/get-deposit-proof-image"}]},{"group":"Compliance","pages":[{"openapi":"get /compliance/kyb/{name}","title":"Retrieve a kyb by name","href":"/api-reference/compliance/retrieve-a-kyb-by-name"},{"openapi":"put /compliance/kyb/{name}","title":"Update a kyb","href":"/api-reference/compliance/update-a-kyb"},{"openapi":"delete /compliance/kyb/{name}","title":"Delete a kyb","href":"/api-reference/compliance/delete-a-kyb"},{"openapi":"get /compliance/kyb","title":"Fetch a kyb list","href":"/api-reference/compliance/fetch-a-kyb-list"},{"openapi":"post /compliance/kyb","title":"Create a kyb","href":"/api-reference/compliance/create-a-kyb"},{"openapi":"get /compliance/transaction","title":"Fetch a kyb transactions list","href":"/api-reference/compliance/fetch-a-kyb-transactions-list"},{"openapi":"post /compliance/transaction","title":"Create a kyb transaction","href":"/api-reference/compliance/create-a-kyb-transaction"},{"openapi":"get /compliance/transaction/{reference}","title":"Retrieve a kyb transaction by reference","href":"/api-reference/compliance/retrieve-a-kyb-transaction-by-reference"},{"openapi":"delete /compliance/transaction/{reference}","title":"Delete a kyb transaction","href":"/api-reference/compliance/delete-a-kyb-transaction"},{"openapi":"get /compliance/kyc","title":"Get kyc information","href":"/api-reference/compliance/get-kyc-information"}]},{"group":"Recipients","pages":[{"openapi":"post /recipient","title":"Create a new recipient","href":"/api-reference/recipients/create-recipient"},{"openapi":"get /recipient/{id}","title":"Get a recipient by id","href":"/api-reference/recipients/find-recipient"},{"openapi":"get /recipient","title":"Retrieve a list of recipients according to filters","href":"/api-reference/recipients/list-recipients"},{"openapi":"delete /recipient/{id}","title":"Delete a recipient by id","href":"/api-reference/recipients/delete-recipient"}]},{"group":"Processing Only","pages":[{"openapi":"post /delegated/payments","title":"Create a delegated payment","href":"/api-reference/processing-only/make-a-delegated-payment"},{"openapi":"post /delegated/payments/sync","title":"Create a delegated synchronous payment","href":"/api-reference/processing-only/make-a-synchronous-delegated-payment"},{"openapi":"post /delegated/transfers","title":"Create a delegated Transfer","href":"/api-reference/processing-only/make-a-delegated-transfer"},{"openapi":"post /delegated/transfers/irt","title":"Create a delegated IRT transfer","href":"/api-reference/processing-only/make-a-delegated-transfer-irt"}]},{"group":"Payment Links","pages":[{"title":"Create a payment link","api":"POST https://api.hub2.io/payment-links","href":"/api-reference/payment_links/create_payment_links"},{"openapi":"get /payment-links","title":"List Payment Links","href":"/api-reference/payment_links/list_payment_links"},{"openapi":"get /payment-links/{id}","title":"Get Payment Link with Attempts","href":"/api-reference/payment_links/list_payment_links_with_attempts"},{"openapi":"patch /payment-links/{id}/close","title":"Close Payment Link","href":"/api-reference/payment_links/close_payment_links"}]},{"group":"Submerchants","pages":[{"openapi":"post /submerchants","title":"Create a submerchant","href":"/api-reference/submerchants/create-a-submerchant"},{"openapi":"get /submerchants","title":"List submerchants","href":"/api-reference/submerchants/list_submerchants"},{"openapi":"patch /submerchants/{submerchantId}","title":"Update a submerchant","href":"/api-reference/submerchants/update-a-submerchant"}]},{"group":"Subscriptions","pages":[{"openapi":"post /subscription-links","title":"Create Subscription Link","href":"/api-reference/subscriptions/create-a-subscription-link"},{"openapi":"post /subscription-intents","title":"Enroll a customer in card-on-file recurring debits","href":"/api-reference/subscriptions/enroll-a-customer"},{"openapi":"get /subscription-intents/{id}/status","title":"Retrieve a card-on-file enrollment status","href":"/api-reference/subscriptions/retrieve-an-enrollment-status"},{"openapi":"get /subscriptions","title":"Retrieve a Subscription collection","href":"/api-reference/subscriptions/retrieve-a-subscription-collection"},{"openapi":"post /subscriptions/{id}/charge","title":"Charge a merchant-initiated subscription on demand","href":"/api-reference/subscriptions/charge-a-subscription"},{"openapi":"post /subscriptions/{id}/suspend","title":"Suspend a subscription","href":"/api-reference/subscriptions/suspend-a-subscription"},{"openapi":"post /subscriptions/{id}/cancel","title":"Cancel a subscription","href":"/api-reference/subscriptions/cancel-a-subscription"},{"openapi":"get /subscriptions/{id}/transactions","title":"Retrieve a subscription's charge history","href":"/api-reference/subscriptions/retrieve-a-subscription-charge-history"}]},{"group":"Instant Payment","pages":[{"openapi":"get /instant-payment/accounts/{accountType}/aliases","title":"List the instant payment aliases of an account","href":"/api-reference/instant-payment/list-aliases"},{"openapi":"post /instant-payment/accounts/{accountType}/aliases","title":"Create an instant payment alias","href":"/api-reference/instant-payment/create-an-alias"},{"openapi":"delete /instant-payment/accounts/{accountType}/aliases/{aliasKey}","title":"Delete an instant payment alias","href":"/api-reference/instant-payment/delete-an-alias"}]}]}]},{"version":"Français","tabs":[{"tab":"HUB2"},{"tab":"Intégration","pages":[{"title":"Intégration","href":"/integration/fr/getting_started/introduction"}]},{"tab":"Documentation","pages":[{"title":"Documentation","href":"/documentation/fr/glossary"}]},{"tab":"Référence de l'API","groups":[{"group":"Data","pages":[{"openapi":"get /data/countries","title":"Get countries","href":"/api-reference/data/get-countries"},{"openapi":"get /data/providers","title":"Get providers","href":"/api-reference/data/get-providers"},{"openapi":"get /data/bank-codes","title":"Get bank codes","href":"/api-reference/data/get-bank-codes"}]},{"group":"Balance","pages":[{"openapi":"get /balance","title":"Check Merchant Balance","href":"/api-reference/balance/check-merchant-balance"}]},{"group":"Webhooks","pages":[{"openapi":"get /webhooks","title":"Get all webhooks","href":"/api-reference/webhooks/get-all-webhooks"},{"openapi":"post /webhooks","title":"Create a webhook","href":"/api-reference/webhooks/create-a-webhook"},{"openapi":"get /webhooks/{id}","title":"Get a webhook","href":"/api-reference/webhooks/get-a-webhook"},{"openapi":"delete /webhooks/{id}","title":"Remove a webhook","href":"/api-reference/webhooks/remove-a-webhook"},{"openapi":"patch /webhooks/{id}","title":"Update a webhook","href":"/api-reference/webhooks/update-a-webhook"}]},{"group":"Sms","pages":[{"openapi":"get /sms/count","title":"Retrieve number of sms sent","href":"/api-reference/sms/retrieve-number-of-sms-sent"},{"openapi":"get /sms/list","title":"Get a list of sms sent","href":"/api-reference/sms/get-a-list-of-sms-sent"},{"openapi":"post /sms","title":"Send Sms","href":"/api-reference/sms/send-sms"}]},{"group":"Payments","pages":[{"openapi":"get /payment-intents","title":"Retrieve a PaymentIntent collection","description":"This endpoints is here to provide you an efficient way of retrieving multiple payment intents at the same time.\n Everything is provided in the request's headers to perform a proper pagination on the results.","href":"/api-reference/payments/retrieve-a-paymentintent-collection"},{"openapi":"post /payment-intents","title":"Create a PaymentIntent object","href":"/api-reference/payments/create-a-paymentintent-object"},{"openapi":"get /payment-intents/{id}","title":"Retrieve a PaymentIntent object","description":"This endpoint allows you to fetch an existing payment intent from our database.\n You must either provide the \"id\" or the \"token\" for us to find that payment intent.\n Retrieving using the \"token\" is the fastest way and uses a more permissive rate limit (10 requests per 5 seconds).","href":"/api-reference/payments/retrieve-a-paymentintent-object"},{"openapi":"post /payment-intents/{id}/payments","title":"Attempt a payment on a PaymentIntent object","href":"/api-reference/payments/attempt-a-payment-on-a-paymentintent-object"},{"openapi":"post /payment-intents/{id}/payments/sync","title":"Synchronously attempt a payment on a payment intent","href":"/api-reference/payments/synchronously-attempt-a-payment-on-a-payment-intent"},{"openapi":"post /payment-intents/{id}/authentication","title":"Authenticate the current payment","href":"/api-reference/payments/authenticate-the-current-payment"},{"openapi":"get /payment-intents/{id}/payment-fees","title":"Retrieve fees","href":"/api-reference/payments/retrieve-fees"},{"openapi":"get /payment-intents/url/{token}","title":"Retrieve configured URLs","href":"/api-reference/payments/retrieve-configured-urls"},{"openapi":"get /payment-intents/{id}/status","title":"Retrieve a PaymentIntent status","href":"/api-reference/payments/retrieve-a-paymentintent-status"},{"openapi":"get /payments","title":"Retrieve a Payments collection","href":"/api-reference/payments/retrieve-a-payments-collection"},{"openapi":"get /payments/{id}/status","title":"Retrieve the status payment object","href":"/api-reference/payments/retrieve-the-status-payment-object"}]},{"group":"Provisioning","pages":[{"openapi":"get /provisionings","title":"Retrieve a Provisionings collection","href":"/api-reference/provisioning/retrieve-a-provisionings-collection"},{"openapi":"post /provisionings","title":"Create a Provisioning","href":"/api-reference/provisioning/create-a-provisioning"},{"openapi":"get /provisionings/{id}","title":"Retrieve a Provisioning from given id","href":"/api-reference/provisioning/retrieve-a-provisioning-from-given-id"}]},{"group":"Receipt","pages":[{"openapi":"get /receipts/{id}","title":"Retrieve a Receipt","href":"/api-reference/receipt/retrieve-a-receipt"},{"openapi":"get /receipts/html/{id}","title":"Retrieve a Receipt as an HTML representation","href":"/api-reference/receipt/retrieve-a-receipt-as-an-html-representation"}]},{"group":"Payment on Terminal","pages":[{"openapi":"post /terminal/payments","title":"Execute payment","href":"/api-reference/payment-on-terminal/execute-payment"},{"openapi":"get /terminal/payments/{id}","title":"Retrieve a payment","href":"/api-reference/payment-on-terminal/retrieve-a-payment"}]},{"group":"IRT","pages":[{"openapi":"get /irt/transfer","title":"Retrieve a IRT transfers collection","href":"/api-reference/irt/retrieve-a-irt-transfers-collection"},{"openapi":"post /irt/transfer","title":"Create IRT transfer","href":"/api-reference/irt/create-irt-transfer"},{"openapi":"post /irt/transfer/verified-recipient","title":"Create an IRT transfer to a verified recipient","href":"/api-reference/irt/create-irt-transfer-verified-recipient"}]},{"group":"Transfers","pages":[{"openapi":"get /transfers","title":"Retrieve a Transfer collection","href":"/api-reference/transfers/retrieve-a-transfer-collection"},{"openapi":"post /transfers","title":"Create Transfer","href":"/api-reference/transfers/create-transfer"},{"openapi":"get /transfers/{id}","title":"Retrieve a Transfer","href":"/api-reference/transfers/retrieve-a-transfer"},{"openapi":"get /transfers/{id}/balance","title":"Retrieve a transfer's balance","href":"/api-reference/transfers/retrieve-a-transfers-balance"},{"openapi":"get /transfers/{id}/status","title":"Retrieve a transfer's status","href":"/api-reference/transfers/retrieve-a-transfers-status"},{"openapi":"post /transfers/status","title":"Retrieve the status of several transfers","href":"/api-reference/transfers/retrieve-transfers-status"}]},{"group":"Refunds","pages":[{"title":"Retrieve refunds collection","api":"GET https://api.hub2.io/refunds","href":"/api-reference/refunds/retrieve-refunds-collection"},{"openapi":"post /refunds/refund","title":"Create Refund","href":"/api-reference/refunds/create-refund"},{"title":"Retrieve a refund","api":"GET https://api.hub2.io/refunds/{id}","href":"/api-reference/refunds/retrieve-a-refund"}]},{"group":"Payment Refunds","pages":[{"openapi":"post /payments-refund/{id}/refund","title":"Create Refund for a Payment","href":"/api-reference/payments-refunds/create-refund-for-a-payment"},{"openapi":"get /payments-refund/{refundId}/status","title":"Get the status of a Payment Refund","href":"/api-reference/payments-refunds/get-the-status-of-a-payment-refund"}]},{"group":"Deposits","pages":[{"openapi":"get /deposits","title":"List deposits","href":"/api-reference/deposits/list-deposits"},{"openapi":"post /deposits","title":"Create a deposit","href":"/api-reference/deposits/create-a-deposit"},{"openapi":"get /deposits/{id}","title":"Get a deposit","href":"/api-reference/deposits/get-a-deposit"},{"openapi":"get /deposits/proof-upload-uri","title":"Get a proof upload URL","href":"/api-reference/deposits/get-a-proof-upload-url"},{"openapi":"post /deposits/{id}/proof","title":"Submit a proof","href":"/api-reference/deposits/submit-a-proof"},{"openapi":"get /deposits/{id}/proof","title":"Get deposit proof image","href":"/api-reference/deposits/get-deposit-proof-image"}]},{"group":"Compliance","pages":[{"openapi":"get /compliance/kyb/{name}","title":"Retrieve a kyb by name","href":"/api-reference/compliance/retrieve-a-kyb-by-name"},{"openapi":"put /compliance/kyb/{name}","title":"Update a kyb","href":"/api-reference/compliance/update-a-kyb"},{"openapi":"delete /compliance/kyb/{name}","title":"Delete a kyb","href":"/api-reference/compliance/delete-a-kyb"},{"openapi":"get /compliance/kyb","title":"Fetch a kyb list","href":"/api-reference/compliance/fetch-a-kyb-list"},{"openapi":"post /compliance/kyb","title":"Create a kyb","href":"/api-reference/compliance/create-a-kyb"},{"openapi":"get /compliance/transaction","title":"Fetch a kyb transactions list","href":"/api-reference/compliance/fetch-a-kyb-transactions-list"},{"openapi":"post /compliance/transaction","title":"Create a kyb transaction","href":"/api-reference/compliance/create-a-kyb-transaction"},{"openapi":"get /compliance/transaction/{reference}","title":"Retrieve a kyb transaction by reference","href":"/api-reference/compliance/retrieve-a-kyb-transaction-by-reference"},{"openapi":"delete /compliance/transaction/{reference}","title":"Delete a kyb transaction","href":"/api-reference/compliance/delete-a-kyb-transaction"},{"openapi":"get /compliance/kyc","title":"Get kyc information","href":"/api-reference/compliance/get-kyc-information"}]},{"group":"Recipients","pages":[{"openapi":"post /recipient","title":"Create a new recipient","href":"/api-reference/recipients/create-recipient"},{"openapi":"get /recipient/{id}","title":"Get a recipient by id","href":"/api-reference/recipients/find-recipient"},{"openapi":"get /recipient","title":"Retrieve a list of recipients according to filters","href":"/api-reference/recipients/list-recipients"},{"openapi":"delete /recipient/{id}","title":"Delete a recipient by id","href":"/api-reference/recipients/delete-recipient"}]},{"group":"Processing Only","pages":[{"openapi":"post /delegated/payments","title":"Create a delegated payment","href":"/api-reference/processing-only/make-a-delegated-payment"},{"openapi":"post /delegated/payments/sync","title":"Create a delegated synchronous payment","href":"/api-reference/processing-only/make-a-synchronous-delegated-payment"},{"openapi":"post /delegated/transfers","title":"Create a delegated Transfer","href":"/api-reference/processing-only/make-a-delegated-transfer"},{"openapi":"post /delegated/transfers/irt","title":"Create a delegated IRT transfer","href":"/api-reference/processing-only/make-a-delegated-transfer-irt"}]},{"group":"Payment Links","pages":[{"title":"Create a payment link","api":"POST https://api.hub2.io/payment-links","href":"/api-reference/payment_links/create_payment_links"},{"openapi":"get /payment-links","title":"List Payment Links","href":"/api-reference/payment_links/list_payment_links"},{"openapi":"get /payment-links/{id}","title":"Get Payment Link with Attempts","href":"/api-reference/payment_links/list_payment_links_with_attempts"},{"openapi":"patch /payment-links/{id}/close","title":"Close Payment Link","href":"/api-reference/payment_links/close_payment_links"}]},{"group":"Submerchants","pages":[{"openapi":"post /submerchants","title":"Create a submerchant","href":"/api-reference/submerchants/create-a-submerchant"},{"openapi":"get /submerchants","title":"List submerchants","href":"/api-reference/submerchants/list_submerchants"},{"openapi":"patch /submerchants/{submerchantId}","title":"Update a submerchant","href":"/api-reference/submerchants/update-a-submerchant"}]},{"group":"Subscriptions","pages":[{"openapi":"post /subscription-links","title":"Create Subscription Link","href":"/api-reference/subscriptions/create-a-subscription-link"},{"openapi":"post /subscription-intents","title":"Enroll a customer in card-on-file recurring debits","href":"/api-reference/subscriptions/enroll-a-customer"},{"openapi":"get /subscription-intents/{id}/status","title":"Retrieve a card-on-file enrollment status","href":"/api-reference/subscriptions/retrieve-an-enrollment-status"},{"openapi":"get /subscriptions","title":"Retrieve a Subscription collection","href":"/api-reference/subscriptions/retrieve-a-subscription-collection"},{"openapi":"post /subscriptions/{id}/charge","title":"Charge a merchant-initiated subscription on demand","href":"/api-reference/subscriptions/charge-a-subscription"},{"openapi":"post /subscriptions/{id}/suspend","title":"Suspend a subscription","href":"/api-reference/subscriptions/suspend-a-subscription"},{"openapi":"post /subscriptions/{id}/cancel","title":"Cancel a subscription","href":"/api-reference/subscriptions/cancel-a-subscription"},{"openapi":"get /subscriptions/{id}/transactions","title":"Retrieve a subscription's charge history","href":"/api-reference/subscriptions/retrieve-a-subscription-charge-history"}]},{"group":"Instant Payment","pages":[{"openapi":"get /instant-payment/accounts/{accountType}/aliases","title":"List the instant payment aliases of an account","href":"/api-reference/instant-payment/list-aliases"},{"openapi":"post /instant-payment/accounts/{accountType}/aliases","title":"Create an instant payment alias","href":"/api-reference/instant-payment/create-an-alias"},{"openapi":"delete /instant-payment/accounts/{accountType}/aliases/{aliasKey}","title":"Delete an instant payment alias","href":"/api-reference/instant-payment/delete-an-alias"}]}]}]}]},"basePath":"","title":"Create a PaymentIntent object - HUB2 Documentation","buildId":"dpl_345ReqzYaAjzS9QpeJemsKdb7KDj","deploymentId":"dpl_345ReqzYaAjzS9QpeJemsKdb7KDj","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-C8RPHPxo.js","utils-0BK-9q6z.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DfjzsUJT.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-B4v9psJ4.js","snippetPresets-CpTQv-Ez.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-BNP-Fvr0.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BSgu6h1D.js","shallow-Biv1i9Gs.js","getApiPlaygroundDisplay-BoGOXhtF.js","CodeSnippet-DvQoT18_.js","CodeSnippets-Dnpa15xT.js","Page-Buji1S4J.js","getPastedJson-xAIyhUFE.js","icon-S6FBih11.js","MethodPill-SaYeUZyk.js","DuplicateIcon-Cs-p3v2Q.js","createIcon-DjCFEoHq.js","DynamicMarkdown-BcnBltEQ.js","SectionHeading-BUBl0eEF.js","axios-vUo_bRtp.js","Markdown-h4cOoD8d.js","clsx-B2v50t8t.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-DJnKvr0g.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BHrrjR1K.js"]}